#ifndef SDI_STRUCTURES_H
#define SDI_STRUCTURES_H

/* Includeheader

	Name:		SDI_structures
	Versionstring:	$VER: SDI_structures.h 1.4 (17.03.97)
	Author:		SDI
	Distribution:	PD
	Description:	SDI standard structures

 1.4   17.03.97 : added header
*/

#include <dos/dos.h>

struct SDI_InOut {	/* initialize all with 0 		*/
  ULONG 	file;	/* filehandle				*/
  STRPTR	buf;	/* pointer to bufferstart		*/
  ULONG 	size;	/* buffersize				*/
  ULONG		count;	/* READ  : used size of buffer		*/
			/* WRITE : size of already written data */
  STRPTR	pos;	/* pointer to current position		*/
};

#endif /* SDI_STRUCTURES_H */

